Skip to main content
POST
/
v1
/
wallets
/
{wallet_id}
/
debit
Debit a wallet
curl --request POST \
  --url https://api.monigo.co/v1/wallets/{wallet_id}/debit \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "currency": "<string>",
  "description": "<string>",
  "entry_type": "<string>",
  "idempotency_key": "<string>",
  "metadata": [
    123
  ],
  "reference_id": "<string>",
  "reference_type": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

API key with Bearer prefix (for programmatic/server-to-server access), format: Bearer {api_key}

Path Parameters

wallet_id
string
required

Wallet UUID

Body

application/json

Debit details

amount
string
currency
string
description
string
entry_type
string
idempotency_key
string
metadata
integer[]
reference_id
string
reference_type
string

Response

OK

The response is of type object.